/* ===================================================== */
/* ===== Typography ==================================== */
/* ===================================================== */

h1.wp-block-heading,
.site-h1.wp-block-heading {
    letter-spacing: 0.008em;
    font-weight: 400;

    @media(max-width: 785px) {
        font-size: 2.5rem;
        line-height: 1.1;
    }
}

h2.wp-block-heading,
.site-h2.wp-block-heading,
h3.wp-block-heading,
.site-h3.wp-block-heading,
h4.wp-block-heading,
.site-h4.wp-block-heading,
h5.wp-block-heading,
.site-h5.wp-block-heading,
h6.wp-block-heading,
.site-h6.wp-block-heading {
    letter-spacing: 0em;
    font-weight: 400;
}

p {
    line-height: 1.66;

    @media(min-width: 960px) {
        letter-spacing: 0.02em;
    }
}

ol.wp-block-list,
ul.wp-block-list {

    li {
        line-height: 1.66;
    }
}

/* ===================================================== */
/* ===== Header ======================================== */
/* ===================================================== */

.rob-mh-header {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 99;
    background: linear-gradient(to bottom, rgba(0, 0, 0, .4) 0%, rgba(0, 0, 0, .4) 40px, rgba(0, 0, 0, 0) 115px);

    @media(min-width: 960px) {
        padding-inline: 50px;
    }

    .rob-mh-header__bar {
        box-shadow: 0 5px 8px rgba(0, 0, 0, 0.1);

        @media(min-width: 960px) {
            border-radius: 6px;
            box-shadow: 0 8px 16px rgba(46, 41, 37, 0.58);
        }

        @media(min-width: 1280px) {
            padding-left: 24px !important;
            padding-right: 32px !important;
        }
    }

    .rob-mh-header__logo-column {

        @media(max-width: 959px) {

            .wp-block-site-logo {

                img {
                    max-width: 50vw;
                }
            }
        }

        @media(max-width: 1279px) {
            flex-basis: 100% !important;
            text-align: center;
        }
    }

    .rob-mh-header__nav-column {
        display: flex;
        align-items: center;
        justify-content: flex-end;

        @media(max-width: 1279px) {
            position: absolute;
            right: 74px;

            nav {
                display: none;
            }

            .wp-block-robinsons-pubs-overlay-toggle {
                margin-left: 0;
            }
        }

        @media(max-width: 959px) {
            right: 24px;
        }
    }
}

.rob-mh-header {
    .wp-block-navigation-item {
        a {
            &:after {
                content: "";
                width: 30px;
                height: 1px;
                margin: 2px auto 0;
                display: block;
                background-color: transparent;
            }
        }
    }
}

.rob-mh-header,
.menu-overlay {
    .wp-block-navigation-item {
        &.current-menu-item {
            opacity: 0.5;

            a {
                &:after {
                    content: "";
                    width: 30px;
                    height: 1px;
                    margin: 2px auto 0;
                    display: block;
                    background-color: var(--wp--preset--color--on-primary);
                }
            }
        }

        >a {
            transition: opacity 0.3s;

            &:focus,
            &:hover {
                opacity: 0.8;
            }
        }
    }
}

header[data-menu-active="true"] {

    .overlay-toggle__menu {
        visibility: hidden;
        opacity: 0;
        display: none;
    }
}

header[data-menu-active="false"] {

    .overlay-toggle__close {
        visibility: hidden;
        opacity: 0;
        display: none;
    }
}

.overlay-toggle__menu {
    svg rect {
        transition: all .3s ease;
    }

    &:hover {
        svg {
            rect {
                width: 24px;
                x: 0;
            }
        }
    }
}

.menu-overlay {
    position: fixed;
    inset: 0;
    z-index: 9999;
    display: none;
    height: 100vh;
    align-items: flex-start;
    visibility: hidden;
    opacity: 0;

    &[data-active="true"] {
        display: block;
        visibility: visible;
        opacity: 1;
    }

    @media (max-width: 959px) {
        padding-top: 24px !important;
    }

    .wp-block-cover__inner-container {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        min-height: -webkit-fill-available;

        &::after {
            content: "";
            display: block;
        }

        @media (max-width: 959px) {
            max-height: calc(100vh - 24px);
            overflow-x: scroll;
        }
    }

    .menu-overlay__logo-row {
        @media (min-width: 960px) {
            margin-inline: 50px;
        }

        @media (max-width: 959px) {
            flex-direction: column-reverse;

            .wp-block-column {
                width: 100%;

                .wp-block-site-logo {
                    text-align: center;

                    img {
                        max-width: 50vw;
                    }
                }
            }
        }
    }

    .wp-block-robinsons-pubs-overlay-toggle {
        display: block;
        margin-left: auto;
    }

    .wp-block-columns:not(.menu-overlay__logo-row) {
        width: 100%;
        max-width: 900px;
        margin-inline: auto;
        padding-top: var(--wp--preset--spacing--large);
        justify-content: space-between;
    }

    .menu-overlay__info-column {
        @media (max-width: 959px) {
            display: flex;
            flex-direction: column;
            border-top: 1px solid currentColor;

            hr {
                display: none;
            }

            .business-phone {
                order: 1;
            }

            .business-email {
                order: 2;
            }

            .business-name {
                order: 3;
            }

            .business-address {
                order: 4;
                max-width: 280px;
                margin-inline: auto;
            }

            .wp-block-social-links {
                order: 5;
            }

            .brand-logo {
                order: 6;
                max-width: 180px;
                margin-bottom: 24px;
                margin-top: var(--wp--preset--spacing--medium);
            }

            .business-phone,
            .business-email {
                a {
                    position: relative;
                    display: block;
                    box-sizing: border-box;
                    width: calc(100% - 48px);
                    margin-inline: 24px;
                    padding: 12px;
                    padding-left: 48px;

                    background-color: var(--wp--preset--color--on-primary);
                    color: var(--wp--preset--color--primary);

                    font-family: var(--site-h1);
                    text-decoration: none;
                    border-radius: 4px;

                    &::before {
                        content: "";
                        position: absolute;
                        inset: 0;
                        left: 0;
                        width: 48px;
                        height: 48px;

                        background-color: var(--wp--preset--color--primary);
                        mask-repeat: no-repeat;
                    }
                }
            }

            .business-email a::before {
                -webkit-mask-image: url(https://rob-cdn.ams3.digitaloceanspaces.com/website-26/email-mask.png);
                mask-image: url(https://rob-cdn.ams3.digitaloceanspaces.com/website-26/email-mask.png);
            }

            .business-phone a::before {
                -webkit-mask-image: url(https://rob-cdn.ams3.digitaloceanspaces.com/website-26/phone-mask.png);
                mask-image: url(https://rob-cdn.ams3.digitaloceanspaces.com/website-26/phone-mask.png);
            }
        }
    }

    @media (max-width: 959px) {
        .wp-block-navigation__container {
            margin-inline: 24px;

            a {
                font-size: 18px !important;
            }
        }
    }

    .main-nav {

        a {
            font-size: 24px !important;
        }

        @media (max-width: 959px) {
            margin-bottom: 12px;

            .wp-block-navigation__container {
                margin-inline: auto;
                align-items: center;
            }
        }
    }
}

/* ===================================================== */
/* ===== Footer ======================================== */
/* ===================================================== */

.rob-mh-footer {
    padding-inline: 1rem;

    @media(min-width: 960px) {
        padding-inline: 50px;
    }

    &.rob-mh-footer--ii {
        background-image: url('https://rob-cdn.ams3.digitaloceanspaces.com/website-26/footer-ii-background.png');
        background-position: center bottom;
        background-repeat: no-repeat;
        background-size: auto 550px;

        @media(min-width: 960px) {
            background-size: contain;
        }

        .rob-mh-footer__brand {
            padding-top: 220px !important;
        }
    }

    @media(max-width: 781px) {

        h2.site-h5 {
            font-size: 1.25rem;
        }

        .wp-block-button {
            width: 100%;
        }

        ul.wp-block-social-links {
            justify-content: center;
            gap: var(--wp--preset--spacing--x-large);
        }
    }
}

/* ===================================================== */
/* ===== Global ======================================== */
/* ===================================================== */

body:has(.floating-button-container) {

    section.brew-full-screen-banner,
    section.brew-room-banner {

        @media(max-width: 785px) {
            padding-bottom: var(--wp--preset--spacing--xxxx-large) !important;
        }
    }
}

div.floating-button-container {

    .wp-block-button {
        min-width: 280px;
    }

    @media(min-width: 960px) {

        &.bottom-left {
            bottom: 32px;
            left: 34px;
        }

        &.bottom-right {
            bottom: 32px;
            right: 34px;
        }

        &.middle-left {
            left: 34px;
        }

        &.middle-right {
            right: 34px;
        }
    }
}


@media(min-width: 960px) {

    section.wp-block-group,
    section.wp-block-cover {
        padding-block: var(--wp--preset--spacing--xxxx-large);
    }
}

/* ===================================================== */
/* ===== Blocks ======================================== */
/* ===================================================== */

.brew-fullpage__card-link {
    position: relative;
    box-shadow: 0px 2px 1px -1px rgba(0, 0, 0, 0.2), 0px 1px 1px 0px rgba(0, 0, 0, 0.14), 0px 1px 3px 0px rgba(0, 0, 0, 0.12);

    &::before {
        content: '';
        position: absolute;
        bottom: 70px;
        top: 0;
        left: 0;
        right: 0;
        background: rgba(0, 0, 0, 0.35);
        display: block;
        z-index: 1;
    }

    &::after {
        content: "";
        position: absolute;
        bottom: 0;
        left: 0;
        right: 0;
        height: 70px;
        background-color: var(--wp--preset--color--primary);
        display: block;
    }

    >* {
        position: relative;
        z-index: 1;
    }
}

section.brew-callout-cta {
    overflow: visible;

    .wp-block-columns {
        gap: var(--wp--preset--spacing--x-large);
        justify-content: space-between;

        >.wp-block-column:first-of-type {

            @media(min-width: 782px) {
                flex-basis: 58.333% !important;
            }

            @media(min-width: 960px) {
                flex-basis: 50% !important;
            }

            @media(max-width: 781px) {

                >* {
                    text-align: left;
                }
            }
        }

        >.wp-block-column:last-of-type {

            @media(min-width: 782px) {
                flex-basis: 33.333% !important;
            }

            @media(min-width: 960px) {
                flex-basis: 25% !important;
            }

            @media(min-width: 1142px) {
                flex-basis: 22% !important;
            }
        }

        .wp-block-buttons {

            .wp-block-button {
                width: 100%;
            }
        }
    }
}

section.brew-clustered-gallery-intro {

    .wp-block-column {

        .wp-block-create-block-clustered-gallery {
            @media(max-width: 959px) {
                margin-inline: calc(0px - var(--wp--preset--spacing--medium));
            }
        }
    }
}

section.brew-fancy-list {
    background-color: var(--wp--preset--color--primary) !important;
    background-image: var(--theme-texture);

    .brew-fancy-list__card {

        @media(max-width: 781px) {
            gap: 0;

            div.wp-block-group {
                padding: var(--wp--preset--spacing--large) 1.5rem !important;
            }
        }
    }
}

section.brew-snaked-gallery-intro {

    .wp-block-column {

        .wp-block-create-block-snaked-gallery {
            @media(max-width: 959px) {
                margin-inline: calc(0px - var(--wp--preset--spacing--medium));
            }
        }
    }
}

section.rob-other-rooms {

    .rob-other-rooms__scrollable {
        width: 100%;
        height: 400px;
        overflow: hidden;

        .rob-other-rooms__scroll-inner {
            height: 540px;
            width: 100%;
            overflow: auto;

            .wp-block-query {
                white-space: nowrap;
                display: flex;
                flex-wrap: nowrap;

                ul {
                    width: fit-content;
                }

                ul li,
                .rob-other-rooms__all-rooms {
                    position: relative;
                    width: fit-content;
                    margin-right: var(--wp--preset--spacing--medium);

                    figure,
                    img {
                        width: 320px;
                        height: 400px;
                        object-fit: cover;
                    }

                    .wp-block-group {
                        position: absolute;
                        bottom: var(--wp--preset--spacing--large);
                        left: var(--wp--preset--spacing--large);
                        right: var(--wp--preset--spacing--large);
                    }
                }
            }
        }
    }
}

section.brew-two-col-intro {

    .brew-two-col-intro__spacer {

        @media(max-width: 785px) {
            display: none !important;
        }
    }

    .brew-two-col-intro__image {
        z-index: 2;
        position: relative;
        margin-bottom: calc(0px - var(--wp--preset--spacing--xx-large));

        @media(min-width: 786px) {
            margin-block: calc(0px - (var(--wp--preset--spacing--xxx-large) + 36px));
        }
    }
}

.brew-latest-posts-grid {
    .brew-latest-posts-grid__featured-col {
        border-right: 1px solid color-mix(in srgb, var(--wp--preset--color--on-secondary) 66%, transparent);

        @media(max-width: 781px) {
            padding-right: 0 !important;
            padding-bottom: var(--wp--preset--spacing--large);
        }

        &+.wp-block-column {
            @media(max-width: 781px) {
                padding-left: 0 !important;
            }
        }
    }

    .brew-latest-posts-grid__featured {
        @media(max-width: 781px) {
            min-height: 230px;
        }
    }

    .brew-featured-post {
        &::before {
            content: "";
            position: absolute;
            top: 35%;
            left: 0;
            right: 0;
            bottom: 0;
            background-image: linear-gradient(to top, hsl(from var(--wp--preset--color--primary) h s l / 0.7) 0%, transparent 100%);
            border-radius: 10px;
            z-index: 1;
        }

        .brew-featured-post__img {
            border-radius: 10px;
        }

        .brew-featured-post__content {
            @media(max-width: 781px) {
                justify-content: space-between;
            }
        }

        .brew-featured-post__title {
            font-family: var(--wp--preset--font-family--dm-serif-text);
            color: var(--wp--preset--color--on-tertiary);
            font-size: 20px;

            @media(min-width: 782px) {
                font-size: 28px;
            }
        }

        .brew-featured-post__btn {
            border-bottom: 2px solid var(--wp--preset--color--on-tertiary);
            color: var(--wp--preset--color--on-tertiary);
            text-transform: uppercase;

            @media(max-width: 781px) {
                align-self: flex-end;
            }

            @media(min-width: 782px) {
                font-size: 16px;
            }
        }

        .brew-latest-posts-grid__posts {
            li:first-of-type {
                .wp-block-post-title {
                    border-top: 1px solid color-mix(in srgb, var(--wp--preset--color--on-secondary) 66%, transparent);

                    @media(min-width: 782px) {
                        border-top: none;
                        padding-top: 0 !important;
                    }
                }
            }
        }
    }

    .wp-block-post {
        border-bottom: 1px solid color-mix(in srgb, var(--wp--preset--color--on-secondary) 66%, transparent)
    }
}

.brew-two-card-intro {
    .brew-two-card-intro__card {
        box-shadow: 0 4px 6px color-mix(in srgb, var(--wp--preset--color--on-secondary) 16%, transparent);
        border-radius: 6px;
    }
}

section.rob-room-listing {

    ul.wp-block-post-template {
        margin-bottom: var(--wp--preset--spacing--medium);

        @media(min-width: 960px) {
            margin-bottom: var(--wp--preset--spacing--xx-large);
        }

        li.wp-block-post {
            margin-top: var(--wp--preset--spacing--medium);

            @media(min-width: 960px) {
                margin-top: var(--wp--preset--spacing--xx-large);
            }

            p.has-x-large-font-size {
                @media(min-width: 960px) {
                    font-size: 64px !important;
                }
            }

            .wp-block-post-excerpt__excerpt {
                margin-top: var(--wp--preset--spacing--medium);
                margin-bottom: var(--wp--preset--spacing--large);
            }

            .wp-block-read-more {
                font-size: 16px;
                font-family: var(--site-h1);
                letter-spacing: 0.05em;
                border-bottom: 3px solid;
                padding-block: 4px;
            }

            &:nth-of-type(odd) {

                .wp-block-columns.rob-room-listing__item {
                    flex-direction: row-reverse;
                }
            }

            @media(max-width: 781px) {

                &:not(:last-of-type) {

                    &::after {
                        content: '';
                        display: block;
                        margin-block: var(--wp--preset--spacing--large);
                        height: 2px;
                        background-color: var(--wp--preset--color--primary);
                    }
                }
            }
        }
    }

    .rob-room-listing__action-cols {

        .wp-block-read-more {

            @media(max-width: 781px) {
                margin-inline: auto;
            }
        }
    }
}

/* ===================================================== */
/* ===== Wedding Specifics ============================= */
/* ===================================================== */

h1.wp-block-heading.has-birthstone-bounce-font-family {
    font-size: 62px;

    @media(min-width: 960px) {
        font-size: 108px;
    }
}

body:has(.wedding-section-buttons) {

    .rob-mh-header {
        transition: opacity 200ms ease;
        will-change: opacity;

        &.is-hidden {
            opacity: 0;
            pointer-events: none;
        }
    }
}

.wp-block-cover:has(.wedding-section-buttons) {

    .wp-block-cover__inner-container {
        position: initial;

        .wp-block-columns {
            position: relative;
        }
    }

    div.wp-block-buttons.wedding-section-buttons {
        position: absolute;
        bottom: 24px;
        left: 0;
        right: 0;
        width: 100%;
        max-width: 100%;

        &.is-fixed {
            position: fixed;
            top: 0;
            bottom: auto;
            z-index: 999;
        }

        @media(max-width: 989px) {
            padding-inline: var(--wp--preset--spacing--small) !important;
            gap: 12px;

            .wp-block-button {
                width: calc(50% - 6px);

                a {
                    padding: var(--wp--preset--spacing--small);
                    font-size: var(--wp--preset--font-size--small);
                }
            }
        }

        @media(min-width: 960px) {

            .wp-block-button {

                a {
                    padding-block: var(--wp--preset--spacing--medium);
                    font-size: var(--wp--preset--font-size--medium);
                }
            }
        }
    }
}

.brew-heading-opening-times {
    background-image: var(--theme-texture);
    background-position: center;

    .brew-opening-times {
        border-left: none;

        @media(max-width: 959px) {
            flex-direction: column;
            align-items: center;
            padding-left: 0;
        }

        @media(min-width: 960px) {
            border-left: 1px solid var(--wp--preset--color--button);
        }

        .brew-opening-times__labels {
            @media(max-width: 959px) {
                margin-bottom: var(--wp--preset--spacing--large);
                padding-right: 0;
                width: 100%;
            }

            p {
                font-family: var(--wp--preset--font-family--libre-baskerville);
                font-size: 10px;
            }
        }

        .brew-opening-times__selector {
            text-transform: uppercase;
            font-family: var(--wp--preset--font-size--small);
        }

        .brew-opening-times__panels {
            font-size: var(--wp--preset--font-size--medium);
        }

        .brew-opening-times__panel {
            @media(max-width: 959px) {
                border-collapse: separate;
                border-spacing: 0 var(--wp--preset--spacing--medium);
            }
        }
    }

    .wp-block-columns {
        justify-content: center;
    }
}

.brew-latest-heading {
    @media(max-width: 781px) {
        min-height: 280px !important;
    }

    .wp-block-post-title {
        @media(max-width: 781px) {
            margin-top: var(--wp--preset--spacing--medium) !important;
        }
    }
}

.brew-latest-sticky {
    margin-top: -70px !important;
    margin-bottom: -40px !important;

    @media(max-width: 781px) {
        padding-right: var(--wp--preset--spacing--medium);
        padding-left: var(--wp--preset--spacing--medium);
    }

    @media(min-width: 782px) {
        margin-top: -100px !important;
        margin-bottom: -60px !important;
    }

    .brew-featured-post {
        border-radius: 10px;
        overflow: hidden;
        display: flex;
        flex-direction: column;

        @media(max-width: 781px) {
            min-height: 265px !important;
        }

        .brew-featured-post__link {
            display: flex;
            flex-direction: column;
            flex-grow: 1;

            &::before {
                content: "";
                position: absolute;
                top: 0;
                bottom: 0;
                left: 0;
                right: 0;
                background: linear-gradient(to bottom, rgba(0, 0, 0, 0.3) 0%, rgba(0, 0, 0, 0.3) 33%, rgba(0, 0, 0, 0) 100%);
                z-index: 0;
            }
        }

        .brew-featured-post__date {
            text-transform: uppercase;
            opacity: 0.57;
        }

        .brew-featured-post__title {
            font-size: 20px;

            @media(min-width: 782px) {
                font-size: 38px;
            }
        }

        .brew-featured-post__btn {
            text-decoration: underline;
            text-underline-offset: 7px;
            text-decoration-thickness: 2px;
            font-size: 18px;
            text-transform: uppercase;
        }
    }
}

.brew-latest-list {
    .wp-block-post {
        border: 1px solid rgba(0, 0, 0, 0.12);
        border-radius: 10px;

        @media(max-width: 781px) {
            box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16);
        }
    }

    .wp-block-post-featured-image img {
        border-radius: 10px;
    }

    .brew-latest-list__content {
        @media(max-width: 781px) {
            padding-right: var(--wp--preset--spacing--medium);
            padding-left: var(--wp--preset--spacing--medium);
        }
    }

    time {
        font-size: 10px;
        opacity: 0.57;
    }

    .wp-block-post-excerpt__excerpt {
        margin-bottom: 32px;
    }

    .wp-block-post-excerpt__more-link {
        color: var(--wp--preset--color--button);
        text-underline-offset: 7px;
        text-decoration-thickness: 2px;
        text-transform: uppercase;
    }
}

section.brew-offer-grid {

    @media(max-width: 781px) {
        padding-inline: 0;

        >div.wp-block-columns {
            gap: 0;

            &:not(:first-of-type) {
                margin-top: var(--wp--preset--spacing--small) !important;
            }

            .wp-block-column.is-style-column-stack {

                >.wp-block-group {
                    padding-inline: var(--wp--preset--spacing--large) !important;

                    .brew-offer-grid__tag {
                        max-width: 58.333%;
                        padding-inline: var(--wp--preset--spacing--large) !important;
                        transform: translateY(-50%);
                        text-align: center;
                    }
                }
            }
        }
    }
}